Package com.pixelmed.web

## Class RequestTypeServer.RequestTypeWorker

- java.lang.Object
- - com.pixelmed.web.HttpServer.Worker
  - - com.pixelmed.web.RequestTypeServer.RequestTypeWorker

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    RequestTypeServer

      protected class RequestTypeServer.RequestTypeWorker
      extends HttpServer.Worker

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RequestTypeWorker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `generateResponseToGetRequest​(java.lang.String requestURI, java.io.OutputStream out)` |

    - ### Methods inherited from class com.pixelmed.web.HttpServer.Worker

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTypeWorker

          protected RequestTypeWorker()

  - ### Method Detail

    - #### generateResponseToGetRequest

          protected void generateResponseToGetRequest​(java.lang.String requestURI,
                                                      java.io.OutputStream out)
                                               throws java.io.IOException

      Specified by:
        `generateResponseToGetRequest` in class `HttpServer.Worker`
      Throws:
        `java.io.IOException`